Bug 1030152 - [abrt] gnome-contacts-3.10.1-1.fc20: strcmp: Process /usr/libexec/gnome-contacts-search-provider was killed by signal 11 (SIGSEGV)
[abrt] gnome-contacts-3.10.1-1.fc20: strcmp: Process /usr/libexec/gnome-conta...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-contacts (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Elad Alfassa
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d746d7263c56a91076ab4d5fd50...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 21:57 EST by Juan M Garcia
Modified: 2015-06-29 08:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:54:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (100.30 KB, text/plain)
2013-11-13 21:57 EST, Juan M Garcia
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-13 21:57 EST, Juan M Garcia
no flags Details
File: core_backtrace (40.75 KB, text/plain)
2013-11-13 21:57 EST, Juan M Garcia
no flags Details
File: dso_list (17.00 KB, text/plain)
2013-11-13 21:57 EST, Juan M Garcia
no flags Details
File: environ (973 bytes, text/plain)
2013-11-13 21:58 EST, Juan M Garcia
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-13 21:58 EST, Juan M Garcia
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-13 21:58 EST, Juan M Garcia
no flags Details
File: maps (82.25 KB, text/plain)
2013-11-13 21:58 EST, Juan M Garcia
no flags Details
File: open_fds (1.04 KB, text/plain)
2013-11-13 21:58 EST, Juan M Garcia
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-11-13 21:58 EST, Juan M Garcia
no flags Details
File: var_log_messages (214 bytes, text/plain)
2013-11-13 21:58 EST, Juan M Garcia
no flags Details

  None (edit)
Description Juan M Garcia 2013-11-13 21:57:40 EST
Description of problem:
Add a GNOME online account make sure evolution is open and then using online accounts remove the account that was providing the contacts. Not reproduceable 100% of the time i got it to happen 2/5 times.

Version-Release number of selected component:
gnome-contacts-3.10.1-1.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-contacts-search-provider
crash_function: strcmp
executable:     /usr/libexec/gnome-contacts-search-provider
kernel:         3.11.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strcmp at ../sysdeps/x86_64/strcmp.S:209
 #1 contacts_contact_get_is_phone at contacts-contact.c:4220
 #2 contacts_contact_update_presence at contacts-contact.c:4281
 #3 contacts_contact_update at contacts-contact.c:4646
 #4 contacts_contact_changed_cb at contacts-contact.c:4090
 #5 _contacts_contact_changed_cb_gsource_func at contacts-contact.c:4116
 #9 g_main_context_iteration at gmain.c:3773
 #10 g_application_run at gapplication.c:1635
 #11 _vala_main at contacts-shell-search-provider.c:1374
 #13 _start
Comment 1 Juan M Garcia 2013-11-13 21:57:49 EST
Created attachment 823723 [details]
File: backtrace
Comment 2 Juan M Garcia 2013-11-13 21:57:52 EST
Created attachment 823724 [details]
File: cgroup
Comment 3 Juan M Garcia 2013-11-13 21:57:55 EST
Created attachment 823725 [details]
File: core_backtrace
Comment 4 Juan M Garcia 2013-11-13 21:57:58 EST
Created attachment 823726 [details]
File: dso_list
Comment 5 Juan M Garcia 2013-11-13 21:58:01 EST
Created attachment 823727 [details]
File: environ
Comment 6 Juan M Garcia 2013-11-13 21:58:04 EST
Created attachment 823728 [details]
File: exploitable
Comment 7 Juan M Garcia 2013-11-13 21:58:07 EST
Created attachment 823729 [details]
File: limits
Comment 8 Juan M Garcia 2013-11-13 21:58:10 EST
Created attachment 823730 [details]
File: maps
Comment 9 Juan M Garcia 2013-11-13 21:58:12 EST
Created attachment 823731 [details]
File: open_fds
Comment 10 Juan M Garcia 2013-11-13 21:58:15 EST
Created attachment 823732 [details]
File: proc_pid_status
Comment 11 Juan M Garcia 2013-11-13 21:58:17 EST
Created attachment 823733 [details]
File: var_log_messages
Comment 12 Mathieu Bridon 2013-11-20 06:07:52 EST
I didn't even try to run GNOME Contacts.

I just did an offline update (using GNOME Software), and when I logged back in I was greeted by ABRT's popup about this crash.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-contacts-search-provider
crash_function: strcmp
executable:     /usr/libexec/gnome-contacts-search-provider
kernel:         3.11.8-300.fc20.x86_64
package:        gnome-contacts-3.10.1-1.fc20
reason:         Process /usr/libexec/gnome-contacts-search-provider was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Fedora End Of Life 2015-05-29 05:45:21 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-06-29 08:54:30 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.